## ICalPeriod

ICalPeriod

## Functions

ICalTime * | i_cal_period_get_start ()
void | i_cal_period_set_start ()
ICalTime * | i_cal_period_get_end ()
void | i_cal_period_set_end ()
ICalDuration * | i_cal_period_get_duration ()
void | i_cal_period_set_duration ()
ICalPeriod * | i_cal_period_new_from_string ()
gchar * | i_cal_period_as_ical_string ()
ICalPeriod * | i_cal_period_new_null_period ()
gboolean | i_cal_period_is_null_period ()
gboolean | i_cal_period_is_valid_period ()

## Types and Values

| ICalPeriod
struct | ICalPeriodClass

## Object Hierarchy

        GObject
        ╰── ICalObject
            ╰── ICalPeriod

## Description

## Functions

### i_cal_period_get_start ()

    ICalTime *
    i_cal_period_get_start (ICalPeriod *period);

Gets the start time from an ICalPeriod.

#### Parameters

period | The ICalPeriod to be queried |

#### Returns

The start of `period` .

[transfer full]

Since: 1.0

### i_cal_period_set_start ()

    void
    i_cal_period_set_start (ICalPeriod *period,
                            ICalTime *start);

Sets the start time of an ICalPeriod.

#### Parameters

period | The ICalPeriod to be set |
start | The start of `period` |

Since: 1.0

### i_cal_period_get_end ()

    ICalTime *
    i_cal_period_get_end (ICalPeriod *period);

Gets the end time from an ICalPeriod.

#### Parameters

period | The ICalPeriod to be queried |

#### Returns

The end of `period` .

[transfer full]

Since: 1.0

### i_cal_period_set_end ()

    void
    i_cal_period_set_end (ICalPeriod *period,
                          ICalTime *end);

Sets the end time of an ICalPeriod.

#### Parameters

period | The ICalPeriod to be set |
end | The end of `period` |

Since: 1.0

### i_cal_period_get_duration ()

    ICalDuration *
    i_cal_period_get_duration (ICalPeriod *period);

Gets the duration from an ICalPeriod.

#### Parameters

period | The ICalPeriod to be queried |

#### Returns

The duration of `period` .

[transfer full]

Since: 1.0

### i_cal_period_set_duration ()

    void
    i_cal_period_set_duration (ICalPeriod *period,
                               ICalDuration *duration);

Sets the duration of an ICalPeriod.

#### Parameters

period | The ICalPeriod to be set |
duration | The duration of `period` |

Since: 1.0

### i_cal_period_new_from_string ()

    ICalPeriod *
    i_cal_period_new_from_string (const gchar *str);

Creates a ICalPeriod from a string.

#### Parameters

str | The string used to create the ICalPeriod |

#### Returns

The newly created ICalPeriod.

[transfer full]

Since: 1.0

### i_cal_period_as_ical_string ()

    gchar *
    i_cal_period_as_ical_string (ICalPeriod *p);

Translates ICalPeriod to string.

#### Parameters

p | The ICalPeriod to be translated |

#### Returns

The string representation of ICalPeriod.

[transfer full]

Since: 1.0

### i_cal_period_new_null_period ()

    ICalPeriod *
    i_cal_period_new_null_period (void);

Creates a default ICalPeriod.

#### Returns

The newly created default ICalPeriod.

[transfer full]

Since: 1.0

### i_cal_period_is_null_period ()

    gboolean
    i_cal_period_is_null_period (ICalPeriod *p);

Checks the ICalPeriod is null_period.

#### Parameters

p | The ICalPeriod to be checked |

#### Returns

1 if yes, 0 if not.

Since: 1.0

### i_cal_period_is_valid_period ()

    gboolean
    i_cal_period_is_valid_period (ICalPeriod *p);

Checks the ICalPeriod is valid_period.

#### Parameters

p | The ICalPeriod to be checked |

#### Returns

1 if yes, 0 if not.

Since: 1.0

## Types and Values

### ICalPeriod

    typedef struct _ICalPeriod ICalPeriod;

This is the ICalPeriod instance.

### struct ICalPeriodClass

    struct ICalPeriodClass {
    };

This is the ICalPeriod class.